###############################################################################
#		
#	Script for filling in the attributes of quantum torpedoes.
#	
#	Created:	04/29/03 -	 MRJOHN
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a quantum torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(190.0 / 255.0, 49.0 / 255.0, 48.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(128.0 / 255.0, 0.0 / 255.0, 0.0 / 255.0, 1.000000)	
	kFlareColor = App.TGColorA()
	kFlareColor.SetRGBA(190.0 / 255.0, 49.0 / 225.0, 48.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/DeathChantTorpCore.tga",
					kCoreColor,
					0.5,
					1.0,	 
					"data/Textures/Tactical/DeathChantTorpCore.tga", 
					kGlowColor,
					4.0,	
					0.8,	 
					0.6,	
					"data/Textures/Tactical/DeathChantTorpCore.tga",
					kFlareColor,										
					22,		
					0.5,		
					0.4)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(1.0)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(59.0)

def GetLaunchSound():
	return("DeathChant")

def GetPowerCost():
	return(50.0)

def GetName():
	return("DeathChant")

def GetDamage():
	return 700.0

def GetGuidanceLifetime():
	return 100.0

def GetMaxAngularAccel():
	return 4.0
