###############################################################################
#		
#	Script for filling in the attributes of quantum torpedoes.
#	
#	Created:	04/27/03 -	 MRJOHN
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a quantum torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(222.0 / 255.0, 222.0 / 255.0, 253.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(61.0 / 255.0, 98.0 / 255.0, 239.0 / 255.0, 1.000000)	
	kFlareColor = App.TGColorA()
	kFlareColor.SetRGBA(36.0 / 255.0, 255.0 / 55.0, 17.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/IonStormTorpCore.tga",
					kCoreColor,
					9,
					1.0,	 
					"data/Textures/Tactical/IonStormTorpCore.tga", 
					kGlowColor,
					4.5,	
					0.4,	 
					0.2,	
					"data/Textures/Tactical/IonStormTorpCore.tga",
					kFlareColor,										
					55,		
					2.5,		
					0.4)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.70)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(39.0)

def GetLaunchSound():
	return("IonStorm")

def GetPowerCost():
	return(40.0)

def GetName():
	return("IonStorm")

def GetDamage():
	return 1400.0

def GetGuidanceLifetime():
	return 10.0

def GetMaxAngularAccel():
	return 5.0
